OpenTTD: src/game/game_instance.cpp File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
game_instance.cpp File Reference

Implementation of GameInstance. More...

`#include "../stdafx.h"`
`#include "../error.h"`
`#include "../script/squirrel_class.hpp"`
`#include "../script/script_storage.hpp"`
`#include "../ai/ai_gui.hpp"`
`#include "game_config.hpp"`
`#include "game_info.hpp"`
`#include "game_instance.hpp"`
`#include "game_text.hpp"`
`#include "game.hpp"`
`#include "../script/api/game/game_accounting.hpp.sq"`
`#include "../script/api/game/game_admin.hpp.sq"`
`#include "../script/api/game/game_airport.hpp.sq"`
`#include "../script/api/game/game_base.hpp.sq"`
`#include "../script/api/game/game_basestation.hpp.sq"`
`#include "../script/api/game/game_bridge.hpp.sq"`
`#include "../script/api/game/game_bridgelist.hpp.sq"`
`#include "../script/api/game/game_cargo.hpp.sq"`
`#include "../script/api/game/game_cargolist.hpp.sq"`
`#include "../script/api/game/game_cargomonitor.hpp.sq"`
`#include "../script/api/game/game_company.hpp.sq"`
`#include "../script/api/game/game_companymode.hpp.sq"`
`#include "../script/api/game/game_controller.hpp.sq"`
`#include "../script/api/game/game_date.hpp.sq"`
`#include "../script/api/game/game_depotlist.hpp.sq"`
`#include "../script/api/game/game_engine.hpp.sq"`
`#include "../script/api/game/game_enginelist.hpp.sq"`
`#include "../script/api/game/game_error.hpp.sq"`
`#include "../script/api/game/game_event.hpp.sq"`
`#include "../script/api/game/game_event_types.hpp.sq"`
`#include "../script/api/game/game_execmode.hpp.sq"`
`#include "../script/api/game/game_game.hpp.sq"`
`#include "../script/api/game/game_gamesettings.hpp.sq"`
`#include "../script/api/game/game_goal.hpp.sq"`
`#include "../script/api/game/game_industry.hpp.sq"`
`#include "../script/api/game/game_industrylist.hpp.sq"`
`#include "../script/api/game/game_industrytype.hpp.sq"`
`#include "../script/api/game/game_industrytypelist.hpp.sq"`
`#include "../script/api/game/game_infrastructure.hpp.sq"`
`#include "../script/api/game/game_list.hpp.sq"`
`#include "../script/api/game/game_log.hpp.sq"`
`#include "../script/api/game/game_map.hpp.sq"`
`#include "../script/api/game/game_marine.hpp.sq"`
`#include "../script/api/game/game_news.hpp.sq"`
`#include "../script/api/game/game_order.hpp.sq"`
`#include "../script/api/game/game_rail.hpp.sq"`
`#include "../script/api/game/game_railtypelist.hpp.sq"`
`#include "../script/api/game/game_road.hpp.sq"`
`#include "../script/api/game/game_sign.hpp.sq"`
`#include "../script/api/game/game_signlist.hpp.sq"`
`#include "../script/api/game/game_station.hpp.sq"`
`#include "../script/api/game/game_stationlist.hpp.sq"`
`#include "../script/api/game/game_story_page.hpp.sq"`
`#include "../script/api/game/game_storypageelementlist.hpp.sq"`
`#include "../script/api/game/game_storypagelist.hpp.sq"`
`#include "../script/api/game/game_subsidy.hpp.sq"`
`#include "../script/api/game/game_subsidylist.hpp.sq"`
`#include "../script/api/game/game_testmode.hpp.sq"`
`#include "../script/api/game/game_text.hpp.sq"`
`#include "../script/api/game/game_tile.hpp.sq"`
`#include "../script/api/game/game_tilelist.hpp.sq"`
`#include "../script/api/game/game_town.hpp.sq"`
`#include "../script/api/game/game_townlist.hpp.sq"`
`#include "../script/api/game/game_tunnel.hpp.sq"`
`#include "../script/api/game/game_vehicle.hpp.sq"`
`#include "../script/api/game/game_vehiclelist.hpp.sq"`
`#include "../script/api/game/game_viewport.hpp.sq"`
`#include "../script/api/game/game_waypoint.hpp.sq"`
`#include "../script/api/game/game_waypointlist.hpp.sq"`
`#include "../script/api/game/game_window.hpp.sq"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
void | CcGame (const CommandCost &result, TileIndex tile, uint32 p1, uint32 p2)
| DoCommand callback function for all commands executed by Game Scripts.

## Detailed Description

Implementation of GameInstance.

Definition in file game_instance.cpp.

## Function Documentation

void CcGame | ( | const CommandCost & | result,
|  | TileIndex | tile,
|  | uint32 | p1,
|  | uint32 | p2
| ) |  |

DoCommand callback function for all commands executed by Game Scripts.

Parameters

  result | The result of the command.
  tile | The tile on which the command was executed.
  p1 | p1 as given to DoCommandPInternal.
  p2 | p2 as given to DoCommandPInternal.

Definition at line 254 of file game_instance.cpp.

References ScriptInstance::Continue(), ScriptInstance::DoCommandCallback(), and Game::GetGameInstance().